/*
	Things to apply across all pages.
	Misc. CSS
*/

/* Footer Styles */
.footer {
	min-height: 100px;
	margin-top: 50px;
	display: flex;
	align-items: center;
	background-color: #333;
	border-top: 1px solid #dee2e6;
}

body {
	font-size: .875rem;
	background-color: #f8f9fa;
}

strong, .strong { font-weight: 700; }


.btn, .card, .card-header:first-child {
	border-radius: 0 !important;
	font-size: 0.75rem;
}


.nav-tabs .nav-link {
	border-radius: 0;
}

.grayscale {
		-webkit-filter: grayscale(100%);
			 -moz-filter: grayscale(100%);
				 -o-filter: grayscale(100%);
				-ms-filter: grayscale(100%);
						filter: grayscale(100%); 
}

.hidden { display: none!important; }

.breadcrumb {
	background-color: transparent;
}

.custom-select, .form-control {
	border-radius: 0;
	height: calc(1.5em + .75rem + 0px);
}

.bottom_dot {
		border-bottom: 1px dotted;
}

.grow {
	animation: 1.8s linear infinite spinner-grow;
}


/*
	Font helpers.
*/
.text-upper { text-transform: uppercase; }
.text-none { text-transform: none; }
.text-lower { text-transform: lowercase; }


/*
	Font Colours
*/
.font-brand {	}
.font-brand-alt {	}
.font-white { color: #fff !important; }
.font-black { color: #000 !important; }


/*
	Backgrounds.
*/
.bg-brand, .badge-brand { background-color: #FB6A33 !important; color: #fff !important; }
.bg-brand-alt, .badge-brand-alt { background-color: #3B454F !important; color: #fff !important; }
.bg-white { background-color: #fff !important; color: #000 !important; }
.bg-black { background-color: #000 !important; color: #fff !important; }
.bg-muted, .bg-soft { background-color: #fcf9f9 !important; }
.bg-breadcrumb { background-color: #e9ecef !important; }


/*
	Divisions and borders
*/
.vertical-divider { border-left: 0.5px; border-right: 0.5px; margin-top: 5px; margin-bottom: 5px; border-color: #bfbfbf; border-style: solid; }
.horizontal-divider { border-top: 0.5px; border-bottom: 0.5px; margin-top: 5px; margin-bottom: 5px;	border-color: #bfbfbf; border-style: solid; }

.soft-border { border: 1px solid #bfbfbf; }


/*
	Lettering
*/
.spacing-1 { letter-spacing: 1px; }
.spacing-2 { letter-spacing: 2px; }
.spacing-3 { letter-spacing: 3px; }
.spacing-4 { letter-spacing: 4x; }
.spacing-5 { letter-spacing: 5px; }
.spacing-6 { letter-spacing: 6px; }
.spacing-7 { letter-spacing: 7px; }
.spacing-8 { letter-spacing: 8px; }
.spacing-9 { letter-spacing: 9px; }
.spacing-10 { letter-spacing: 10px; }

.spacing-1-5 { letter-spacing: 1.5px; }
.spacing-2-5 { letter-spacing: 2.5px; }
.spacing-3-5 { letter-spacing: 3.5px; }
.spacing-4-5 { letter-spacing: 4.5x; }
.spacing-5-5 { letter-spacing: 5.5px; }
.spacing-6-5 { letter-spacing: 6.5px; }
.spacing-7-5 { letter-spacing: 7.5px; }
.spacing-8-5 { letter-spacing: 8.5px; }
.spacing-9-5 { letter-spacing: 9.5px; }
.spacing-10-5 { letter-spacing: 10.5px; }

.text-left { text-align: left !important; }
.text-center { text-align: center !important; }
.text-right { text-align: right !important; }


/*
	Opacities
*/
.opacity-10 { opacity: 0.1; filter: alpha(opacity=10); }
.opacity-20 { opacity: 0.2; filter: alpha(opacity=20); }
.opacity-30 { opacity: 0.3; filter: alpha(opacity=30); }
.opacity-40 { opacity: 0.4; filter: alpha(opacity=40); }
.opacity-50 { opacity: 0.5; filter: alpha(opacity=50); }
.opacity-60 { opacity: 0.6; filter: alpha(opacity=60); }
.opacity-70 { opacity: 0.7; filter: alpha(opacity=70); }
.opacity-80 { opacity: 0.8; filter: alpha(opacity=80); }
.opacity-90 { opacity: 0.9; filter: alpha(opacity=90); }
.opacity-100 { opacity: 1.0; filter: alpha(opacity=100); }

.opacity-15 { opacity: 0.15; filter: alpha(opacity=15); }
.opacity-25 { opacity: 0.25; filter: alpha(opacity=25); }
.opacity-35 { opacity: 0.35; filter: alpha(opacity=35); }
.opacity-45 { opacity: 0.45; filter: alpha(opacity=45); }
.opacity-55 { opacity: 0.55; filter: alpha(opacity=55); }
.opacity-65 { opacity: 0.65; filter: alpha(opacity=65); }
.opacity-75 { opacity: 0.75; filter: alpha(opacity=75); }
.opacity-85 { opacity: 0.85; filter: alpha(opacity=85); }
.opacity-95 { opacity: 0.95; filter: alpha(opacity=95); }


/*
	Line Height
*/
.lineheight-5 { line-height: 5%; }
.lineheight-10 { line-height: 10%; }
.lineheight-15 { line-height: 15%; }
.lineheight-20 { line-height: 20%; }
.lineheight-25 { line-height: 25%; }
.lineheight-30 { line-height: 30%; }
.lineheight-35 { line-height: 35%; }
.lineheight-40 { line-height: 40%; }
.lineheight-45 { line-height: 45%; }
.lineheight-50 { line-height: 50%; }
.lineheight-55 { line-height: 55%; }
.lineheight-60 { line-height: 60%; }
.lineheight-65 { line-height: 65%; }
.lineheight-70 { line-height: 70%; }
.lineheight-75 { line-height: 75%; }
.lineheight-80 { line-height: 80%; }
.lineheight-85 { line-height: 85%; }
.lineheight-90 { line-height: 90%; }
.lineheight-95 { line-height: 95%; }
.lineheight-100 { line-height: 100%; }


/*
	Padding Helpers
*/
.pad0T { padding-top: 0px !important; } .pad0B { padding-bottom: 0px !important; } .pad0L { padding-left: 0px !important; } .pad0R { padding-right: 0px !important; } .pad0A { padding: 0px !important; }
.pad5T { padding-top: 5px !important; } .pad5B { padding-bottom: 5px !important; } .pad5L { padding-left: 5px !important; } .pad5R { padding-right: 5px !important; } .pad5A { padding: 5px !important; }
.pad10T { padding-top: 10px !important; } .pad10B { padding-bottom: 10px !important; } .pad10L { padding-left: 10px !important; } .pad10R { padding-right: 10px !important; } .pad10A { padding: 10px !important; }
.pad15T { padding-top: 15px !important; } .pad15B { padding-bottom: 15px !important; } .pad15L { padding-left: 15px !important; } .pad15R { padding-right: 15px !important; } .pad15A { padding: 15px !important; }
.pad20T { padding-top: 20px !important; } .pad20B { padding-bottom: 20px !important; } .pad20L { padding-left: 20px !important; } .pad20R { padding-right: 20px !important; } .pad20A { padding: 20px !important; }
.pad25T { padding-top: 25px !important; } .pad25B { padding-bottom: 25px !important; } .pad25L { padding-left: 25px !important; } .pad25R { padding-right: 25px !important; } .pad25A { padding: 25px !important; }
.pad30T { padding-top: 30px !important; } .pad30B { padding-bottom: 30px !important; } .pad30L { padding-left: 30px !important; } .pad30R { padding-right: 30px !important; } .pad30A { padding: 30px !important; }
.pad35T { padding-top: 35px !important; } .pad35B { padding-bottom: 35px !important; } .pad35L { padding-left: 35px !important; } .pad35R { padding-right: 35px !important; } .pad35A { padding: 35px !important; }
.pad40T { padding-top: 40px !important; } .pad40B { padding-bottom: 40px !important; } .pad40L { padding-left: 40px !important; } .pad40R { padding-right: 40px !important; } .pad40A { padding: 40px !important; }
.pad45T { padding-top: 45px !important; } .pad45B { padding-bottom: 45px !important; } .pad45L { padding-left: 45px !important; } .pad45R { padding-right: 45px !important; } .pad45A { padding: 45px !important; }
.pad50T { padding-top: 50px !important; } .pad50B { padding-bottom: 50px !important; } .pad50L { padding-left: 50px !important; } .pad50R { padding-right: 50px !important; } .pad50A { padding: 50px !important; }
.pad55T { padding-top: 55px !important; } .pad55B { padding-bottom: 55px !important; } .pad55L { padding-left: 55px !important; } .pad55R { padding-right: 55px !important; } .pad55A { padding: 55px !important; }
.pad60T { padding-top: 60px !important; } .pad60B { padding-bottom: 60px !important; } .pad60L { padding-left: 60px !important; } .pad60R { padding-right: 60px !important; } .pad60A { padding: 60px !important; }


/*
	Margin Helpers
*/
.mrg0T { margin-top: 0px !important; } .mrg0B { margin-bottom: 0px !important; } .mrg0L { margin-left: 0px !important; } .mrg0R { margin-right: 0px !important; } .mrg0A { margin: 0px !important; }
.mrg5T { margin-top: 5px !important; } .mrg5B { margin-bottom: 5px !important; } .mrg5L { margin-left: 5px !important; } .mrg5R { margin-right: 5px !important; } .mrg5A { margin: 5px !important; }
.mrg10T { margin-top: 10px !important; } .mrg10B { margin-bottom: 10px !important; } .mrg10L { margin-left: 10px !important; } .mrg10R { margin-right: 10px !important; } .mrg10A { margin: 10px !important; }
.mrg15T { margin-top: 15px !important; } .mrg15B { margin-bottom: 15px !important; } .mrg15L { margin-left: 15px !important; } .mrg15R { margin-right: 15px !important; } .mrg15A { margin: 15px !important; }
.mrg20T { margin-top: 20px !important; } .mrg20B { margin-bottom: 20px !important; } .mrg20L { margin-left: 20px !important; } .mrg20R { margin-right: 20px !important; } .mrg20A { margin: 20px !important; }
.mrg25T { margin-top: 25px !important; } .mrg25B { margin-bottom: 25px !important; } .mrg25L { margin-left: 25px !important; } .mrg25R { margin-right: 25px !important; } .mrg25A { margin: 25px !important; }
.mrg30T { margin-top: 30px !important; } .mrg30B { margin-bottom: 30px !important; } .mrg30L { margin-left: 30px !important; } .mrg30R { margin-right: 30px !important; } .mrg30A { margin: 30px !important; }
.mrg35T { margin-top: 35px !important; } .mrg35B { margin-bottom: 35px !important; } .mrg35L { margin-left: 35px !important; } .mrg35R { margin-right: 35px !important; } .mrg35A { margin: 35px !important; }
.mrg40T { margin-top: 40px !important; } .mrg40B { margin-bottom: 40px !important; } .mrg40L { margin-left: 40px !important; } .mrg40R { margin-right: 40px !important; } .mrg40A { margin: 40px !important; }
.mrg45T { margin-top: 45px !important; } .mrg45B { margin-bottom: 45px !important; } .mrg45L { margin-left: 45px !important; } .mrg45R { margin-right: 45px !important; } .mrg45A { margin: 45px !important; }
.mrg50T { margin-top: 50px !important; } .mrg50B { margin-bottom: 50px !important; } .mrg50L { margin-left: 50px !important; } .mrg50R { margin-right: 50px !important; } .mrg50A { margin: 50px !important; }
.mrg55T { margin-top: 55px !important; } .mrg55B { margin-bottom: 55px !important; } .mrg55L { margin-left: 55px !important; } .mrg55R { margin-right: 55px !important; } .mrg55A { margin: 55px !important; }
.mrg60T { margin-top: 60px !important; } .mrg60B { margin-bottom: 60px !important; } .mrg60L { margin-left: 60px !important; } .mrg60R { margin-right: 60px !important; } .mrg60A { margin: 60px !important; }


/*
	Font Sizes
*/
.font-size-5 { font-size: 5px !important; }
.font-size-6 { font-size: 6px !important; }
.font-size-7 { font-size: 7px !important; }
.font-size-8 { font-size: 8px !important; }
.font-size-9 { font-size: 9px !important; }
.font-size-10 { font-size: 10px !important; }
.font-size-11 { font-size: 11px !important; }
.font-size-12 { font-size: 12px !important; }
.font-size-13 { font-size: 13px !important; }
.font-size-14 { font-size: 14px !important; }
.font-size-15 { font-size: 15px !important; }
.font-size-16 { font-size: 16px !important; }
.font-size-17 { font-size: 17px !important; }
.font-size-18 { font-size: 18px !important; }
.font-size-19 { font-size: 19px !important; }
.font-size-20 { font-size: 20px !important; }
.font-size-21 { font-size: 21px !important; }
.font-size-22 { font-size: 22px !important; }
.font-size-23 { font-size: 23px !important; }
.font-size-24 { font-size: 24px !important; }
.font-size-25 { font-size: 25px !important; }
.font-size-26 { font-size: 26px !important; }
.font-size-27 { font-size: 27px !important; }
.font-size-28 { font-size: 28px !important; }
.font-size-29 { font-size: 29px !important; }
.font-size-30 { font-size: 30px !important; }
.font-size-31 { font-size: 31px !important; }
.font-size-32 { font-size: 32px !important; }
.font-size-33 { font-size: 33px !important; }
.font-size-34 { font-size: 34px !important; }
.font-size-35 { font-size: 35px !important; }
.font-size-36 { font-size: 36px !important; }
.font-size-37 { font-size: 37px !important; }
.font-size-38 { font-size: 38px !important; }
.font-size-39 { font-size: 39px !important; }
.font-size-40 { font-size: 40px !important; }
.font-size-45 { font-size: 45px !important; }
.font-size-50 { font-size: 50px !important; }
.font-size-55 { font-size: 55px !important; }
.font-size-60 { font-size: 60px !important; }
.font-size-65 { font-size: 65px !important; }
.font-size-70 { font-size: 70px !important; }
.font-size-75 { font-size: 75px !important; }
.font-size-80 { font-size: 80px !important; }
.font-size-85 { font-size: 85px !important; }
.font-size-90 { font-size: 90px !important; }
.font-size-95 { font-size: 95px !important; }
.font-size-100 { font-size: 100px !important; }


/*
	Try and build on some of the Bootstrap standard ones
*/
.pt-5, .py-5 { padding-top: 4rem!important; }
.pt-6, .py-6 { padding-top: 5rem!important; }
.pt-7, .py-7 { padding-top: 6rem!important; }
.pt-8, .py-8 { padding-top: 7rem!important; }
.pt-9, .py-9 { padding-top: 8rem!important; }
.pt-10, .py-10 { padding-top: 9rem!important; }
.pt-11, .py-11 { padding-top: 10rem!important; }


/*
	Admin Panel Specific
*/
.feather {
	width: 16px;
	height: 16px;
	vertical-align: text-bottom;
}


/*
 * Sidebar
 */
.sidebar {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	z-index: 100; /* Behind the navbar */
	padding: 55px 0 0; /* Height of navbar */
	box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

.sidebar-sticky {
	position: relative;
	top: 0;
	height: calc(100vh - 48px);
	padding-top: .5rem;
	overflow-x: hidden;
	overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
	.sidebar-sticky {
		position: -webkit-sticky;
		position: sticky;
	}
}

.sidebar .nav-link {
	font-weight: 500;
	color: #fff;
}

.sidebar .nav-link .feather {
	margin-right: 4px;
	color: #999;
}

.sidebar .nav-link.active {
	background-color: #007bff;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
	color: inherit;
}

.sidebar-heading {
	font-size: .75rem;
	text-transform: uppercase;
}


/*
 * Content
 */




/*
 * Navbar
 */

.navbar-brand {
	padding-top: .75rem;
	padding-bottom: .75rem;
	font-size: 1rem;
	/*background-color: rgba(0, 0, 0, .25);
	box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);*/
}

.navbar .form-control {
	padding: .75rem 1rem;
	border-width: 0;
	border-radius: 0;
}

.form-control-dark {
	color: #fff;
	background-color: rgba(255, 255, 255, .1);
	border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
	border-color: transparent;
	box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}


/*
	Custom scrollbars.
*/
/* width */
::-webkit-scrollbar {
	width: 12px;
}

/* Track */
::-webkit-scrollbar-track {
	background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
	background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
	background: #555;
}


/*
	Our pulses.
*/
.pulse {
	border-radius: 50%;
	box-shadow: 0 0 0 0 rgba(0, 0, 0, 1);
	margin: 10px;
	height: 20px;
	width: 20px;
	transform: scale(1);
	animation: pulse-black 2s infinite;
}

@keyframes pulse-black {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
	}
}

.pulse-white {
	background: white;
	box-shadow: 0 0 0 0 rgba(255, 255, 255, 1);
	animation: pulse-white 2s infinite;
}

@keyframes pulse-white {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(255, 255, 255, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
	}
}

.pulse-red {
	background: rgba(255, 82, 82, 1);
	box-shadow: 0 0 0 0 rgba(255, 82, 82, 1);
	animation: pulse-red 2s infinite;
}

@keyframes pulse-red {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 82, 82, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(255, 82, 82, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 82, 82, 0);
	}
}

.pulse-orange {
	background: rgba(255, 121, 63, 1);
	box-shadow: 0 0 0 0 rgba(255, 121, 63, 1);
	animation: pulse-orange 2s infinite;
}

@keyframes pulse-orange {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 121, 63, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(255, 121, 63, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 121, 63, 0);
	}
}

.pulse-yellow {
	background: rgba(255, 177, 66, 1);
	box-shadow: 0 0 0 0 rgba(255, 177, 66, 1);
	animation: pulse-yellow 2s infinite;
}

@keyframes pulse-yellow {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 177, 66, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(255, 177, 66, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(255, 177, 66, 0);
	}
}

.pulse-blue {
	background: rgba(52, 172, 224, 1);
	box-shadow: 0 0 0 0 rgba(52, 172, 224, 1);
	animation: pulse-blue 2s infinite;
}

@keyframes pulse-blue {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(52, 172, 224, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(52, 172, 224, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(52, 172, 224, 0);
	}
}

.pulse-green {
	background: rgba(51, 217, 178, 1);
	box-shadow: 0 0 0 0 rgba(51, 217, 178, 1);
	animation: pulse-green 2s infinite;
}

@keyframes pulse-green {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(51, 217, 178, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(51, 217, 178, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(51, 217, 178, 0);
	}
}

.pulse-purple {
	background: rgba(142, 68, 173, 1);
	box-shadow: 0 0 0 0 rgba(142, 68, 173, 1);
	animation: pulse-purple 2s infinite;
}

@keyframes pulse-purple {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(142, 68, 173, 0.7);
	}
	
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(142, 68, 173, 0);
	}
	
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(142, 68, 173, 0);
	}
}